/**
 * @module calculations
 */
import { Calendar } from './calendar';
import { Celestial } from './celestial/index';
import { KollavarshamDate } from './dates/kollavarshamDate';
import { SakaDate } from './dates/sakaDate';
import { Settings } from './index';
/**
 *
 *  **INTERNAL/PRIVATE**
 *
 * @class Calculations
 */
export declare class Calculations {
    longitude: number;
    latitude: number;
    celestial: Celestial;
    calendar: Calendar;
    constructor(settings: Settings);
    static getPaksa(tithi: number): string;
    fromGregorianToSaka(gregorianDate: Date): SakaDate;
    celestialCalculations(ahargana: number, year: number, julianDay: number, timeAsFractionalDay: number): SakaDate;
    fromGregorian(gregorianDate: Date): KollavarshamDate;
    toGregorian(kollavarshamDate: KollavarshamDate): Date;
    toGregorianFromSaka(sakaDate: SakaDate): KollavarshamDate;
}
