import { PlanetList } from './planetarySystem/index';
import { Yuga } from './planetarySystem/yuga';
/**
 *
 *  **INTERNAL/PRIVATE**
 *
 * @class Celestial
 */
export declare class Celestial {
    planets: PlanetList;
    yuga: Yuga;
    backLastConjunctionAhargana: number;
    backNextConjunctionAhargana: number;
    backLastConjunctionLongitude: number;
    backNextConjunctionLongitude: number;
    constructor(system?: string);
    static threeRelation(left: number, center: number, right: number): number;
    static declination(longitude: number): number;
    static getSunriseTime(time: number, equationOfTime: number): {
        sunriseHour: number;
        sunriseMinute: number;
    };
    static getTithi(trueSolarLongitude: number, trueLunarLongitude: number): number;
    setPlanetaryPositions(ahargana: number): {
        trueSolarLongitude: number;
        trueLunarLongitude: number;
    };
    getMeanLongitude(ahargana: number, rotation: number): number;
    getDaylightEquation(year: number, latitude: number, ahargana: number): number;
    getMandaEquation(argument: number, planet: string): number;
    getTrueLunarLongitude(ahargana: number): number;
    getTrueSolarLongitude(ahargana: number): number;
    getEclipticLongitude(ahargana: number): number;
    findConjunction(leftX: number, leftY: number, rightX: number, rightY: number): number;
    getConjunction(ahargana: number): number;
    getLastConjunctionLongitude(ahargana: number, tithi: number): number;
    getNextConjunctionLongitude(ahargana: number, tithi: number): number;
}
