/**
 * @module kollavarshamDate
 */
import { BaseDate } from './baseDate';
import { SakaDate } from './sakaDate';
/**
 * Represents a Kollavarsham date's year, month and date.
 *
 * @class KollavarshamDate
 * @constructor true
 * @extends BaseDate
 */
export declare class KollavarshamDate extends BaseDate {
    /**
     *
     */
    sakaDate: SakaDate;
    /**
     *
     */
    constructor(year?: number, month?: number, day?: number);
    /**
     * Returns the Kollavarsham Naksatra name (in English) for this instance date.
     *
     * @property naksatraName
     * @type {string}
     */
    get naksatraName(): string;
    /**
     * Returns the Kollavarsham Naksatra name (in Malayalam) for this instance of date.
     *
     * @property mlNaksatraName
     * @type {string}
     */
    get mlNaksatraName(): string;
    /**
     * Returns the Kollavarsham month name (in English) for this instance of date.
     *
     * @property masaName
     * @type {string}
     */
    get masaName(): string;
    /**
     * Returns the Kollavarsham month name (in Malayalam) for this instance of date.
     *
     * @property mlMasaName
     * @type {string}
     */
    get mlMasaName(): string;
}
